### Method

# Gck Builder add_attribute

#### Declaration [src]

    void
    gck_builder_add_attribute (
      GckBuilder* builder,
      const GckAttribute* attr
    )

#### Description [src]

Add an attribute to the builder. The attribute is added unconditionally whether or not an attribute with the same type already exists on the builder.

The `attr` attribute must have been created or owned by the Gck library. If you call this function on an arbitrary `GckAttribute` that is allocated on the stack or elsewhere, then this will result in undefined behavior.

As an optimization, the attribute memory value is automatically shared between the attribute and the builder.

#### Parameters

`attr`

  Type: `GckAttribute`

  The attribute to add.

  The data is owned by the caller of the method.